package com.mortals.xhx.module.access.web;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.OrderCol;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.access.model.AccessEntity;
import com.mortals.xhx.module.access.service.AccessService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
import com.mortals.xhx.common.code.*;
/**
*
* 区域接入
*
* @author zxfei
* @date 2024-07-02
*/
@RestController
@RequestMapping("access")
public class AccessController extends BaseCRUDJsonBodyMappingController<AccessService,AccessEntity,Long> {

    @Autowired
    private ParamService paramService;

    public AccessController(){
        super.setModuleDesc( "区域接入");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
                this.addDict(model, "type", TypeEnum.getEnumMap());
        super.init(model, context);
    }

    @Override
    protected void doListBefore(AccessEntity query, Map<String, Object> model, Context context) throws AppException {
        query.setOrderColList(Arrays.asList(new OrderCol("sort")));

        super.doListBefore(query, model, context);
    }
}